qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acon...@apache.org
Subject [12/50] [abbrv] qpid-proton git commit: NO-JIRA: Added go-get repo update script
Date Fri, 23 Oct 2015 14:36:14 GMT
NO-JIRA: Added go-get repo update script


Project: http://git-wip-us.apache.org/repos/asf/qpid-proton/repo
Commit: http://git-wip-us.apache.org/repos/asf/qpid-proton/commit/1ae893ef
Tree: http://git-wip-us.apache.org/repos/asf/qpid-proton/tree/1ae893ef
Diff: http://git-wip-us.apache.org/repos/asf/qpid-proton/diff/1ae893ef

Branch: refs/heads/go1
Commit: 1ae893efe4e3facc2d9917ec8fe9d465176a1eab
Parents: 2e8995f
Author: Alan Conway <aconway@redhat.com>
Authored: Thu Oct 8 10:56:35 2015 -0400
Committer: Alan Conway <aconway@redhat.com>
Committed: Thu Oct 8 10:56:45 2015 -0400

----------------------------------------------------------------------
 .../go/src/qpid.apache.org/go-get-repo.sh       | 26 ++++++++++++++++++++
 1 file changed, 26 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/qpid-proton/blob/1ae893ef/proton-c/bindings/go/src/qpid.apache.org/go-get-repo.sh
----------------------------------------------------------------------
diff --git a/proton-c/bindings/go/src/qpid.apache.org/go-get-repo.sh b/proton-c/bindings/go/src/qpid.apache.org/go-get-repo.sh
new file mode 100755
index 0000000..3a84191
--- /dev/null
+++ b/proton-c/bindings/go/src/qpid.apache.org/go-get-repo.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# This script is used to create a repository to support the "go get" command.
+#
+# WARNING: DO NOT run in the main proton repository.
+#
+# This script will REPLACE the master branch of the current repository with just
+# the Go subset of the proton repository.
+#
+# Currently the go-get repository is: https://github.com/alanconway/proton-go.git
+#
+
+set -e -x
+# Safety check: the repo for `go get` should have a branch called proton_go_get_master
+git checkout proton_go_get_master
+git checkout master
+git fetch -f https://git-wip-us.apache.org/repos/asf/qpid-proton.git master:proton_go_get_master
+git checkout proton_go_get_master
+git branch -f -D master  # Will replace master with the go subtree of proton
+git subtree split --prefix=proton-c/bindings/go/src/qpid.apache.org -b master
+git checkout master
+
+set +x
+echo
+echo TO FINISH:
+echo git push -f -u origin master


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@qpid.apache.org
For additional commands, e-mail: commits-help@qpid.apache.org


Mime
View raw message